#ifndef __FAKEID_H
#define __FAKEID_H

#include <stdio.h>
#include <stdlib.h>
#include <time.h>

// 100 Male Names
static char *male_names[] = { "Bill","William","Bob","Robert","Jim","James","George",
	"Sam","Samuel","Billy","Walter","Donald","Michael","Vance","Jerry","Gerald",
	"Harold","Larry","Dick","Richard","Rich","Chris","Dave","Ben","Kevin","John",
	"Cliff","Wayne","Leonard","Elliott","Rick","Stan","Fred","Steve","Dale","David",
	"Joe","Roger","Tim","Ron","Tony","Anthony","Martin","Herman","Henry","Pat","Patrick",
	"Gordon","Rod","Arthur","Doug","Albert","Bruce","Dan","Jason","Lou","Chuck","Charles",
	"Kenneth","Ken","Philip","Eric","Ralph","Paul","Tom","Thomas","Ivan","Craig","Jack",
	"Ed","Edward","Benjamin","Ted","Carl","Alex","Norman","Earl","Ty","Timothy","Gene",
	"Harry","Kirk","Kevin","Gary","DJ","JR","Dennis","Vic","Victor","Clark","Neil","Jake",
	"Jacob","Roy","Harvey","Dale","Mel","Melvin","Keith","Paul" };

// 100 Female Names
static char *female_names[] = { "Percy","Linda","Valery","Brenda","Carol","Stephany",
	"Stephanie","Samantha","Lucy","Amy","Lauren","Tarryn","Belinda","Fran","Pam",
	"Pat","Jan","Marcia","Cindy","Gale","Kelley","Luann","Marie","Mary","Betsy",
	"Debbie","Kathy","Connie","Claudia","Joni","Sonja","Tammy","Beth","Nancy",
	"Gail","Emily","Nellie","Margaret","Marilyn","Tracy","Rosemary","Joanne",
	"Donna","Susan","Sue","Patty","Claire","Laurie","Dawn","Hellen","Kaye",
	"Sybil","Chris","Tiffany","Barbra","Adrian","Alethea","Alex","Alice",
	"Alicia","Allyson","Angie","Barb","Blaire","Brandy","Brooke","Candy",
	"Carilyn","Carla","Carmen","Kate","Katherine","Christina","Dana","Dory",
	"Ellen","Erica","Eve","Faun","Franny","Genny","Jenny","Gillian","Guinevere",
	"Hannah","Holly","Shannon","Jessie","Kim","Kimberly","Leann","Lisa","Stacy",
	"Vanessa","Vicky","Whitney","Mellisa","Melody","Martha","Megan" };

// 100 Last Names
static char *last_names[] = { "Harris","Morgan","Gates","Williamson","Williams",
	"Clemons","Dalton","Smith","Smith","Brown","Cooper","Allen","Michaels","Cunningham",
	"Sattler","Seymour","Taylor","Tucker","Walker","Richards","Richardson","Warren",
	"Clark","Erickson","Duncan","Fields","Finnely","Wayne","Leonard","Elliott","Franklin",
	"Gray","Hancock","Hopkins","Jacobs","Kellogg","Larson","McDaniels","Miller","Morris",
	"Novak","Oswald","Petersen","Herman","Henry","Barnes","Sanders","Gordon","Ross","Steinbach",
	"Hall","Ferguson","Fraser","Hoffman","White","Browning","Coleman","Kramer","Schaefer","Hayes",
	"Robinson","Witt","Fleming","Hamilton","Hendrix","Owen","Burton","Robertson","Smith","Patterson",
	"Philips","Thomas","Reynolds","Quinn","Rice","Healy","Hess","Landers","Bauer","Madison","Olson",
	"Lyons","Lane","Lang","Holmes","Hackett","Fry","Goodman","Graham","Durham","Collins",
	"Owens","Parker","Reynolds","Poole","Powell","Clinton","Hill","Hirsch","Nielsen" };

// 50 Cities
static char *cities[] = { "Seattle, WA 98109","Missoula, MT 59807","Bellingham, WA 98225",
	"Tucson, AZ 85741","Marysville, CA 95901","Arcadia, CA 91007","Wichita, KS 67208",
	"Buckingham, WV 26201","Lakewood, CO 80227","Mililani, HI 96789","Beaverton, OR 97005",
	"Sun City West, AZ 85375","Heber, UT 84032","Captain Cook, HI 96704","Redmond, WA 98052",
	"Camarillo, CA 93010","Kewaskum, WI 53040","Clinton, IA 52736","St. Cloud, MN 56372",
	"Van Nuys, CA 91401","Portland, OR 97206","Albany, NY 12206","Moscow, ID 83843",
	"San Francisco, CA 94107","San Diego, CA 92121","New York, NY 10001","Chicago, IL 60614",
	"New Orleans, LA 70175","Detroit, MI 48312","Atlanta, GA 30309","Pheonix, AZ 85032",
	"Oklahoma City, OK 73115","Little Rock, AR 72212","Bloomington, IN 47408","Ackron, OH 44240",
	"Charlotte, NC 28210","Des Moines, IA 50310","Portland, ME 04101","Nashville, TN 37214","Boston, MA 01581",
	"Santa Clara, CA 95056","Miami, FL 33174","New Gloucester, ME 04260","Las Vegas, NV 89108","Irving, TX 75039",
	"Bowling Green, KY 42104","Imperial, PA 15126","Kansas City, MO 64150","Stowe, VT 05672" };


// 50 Area Codes (each in the propper place to come up w/ the right city using
// the same integer shit as for the city ( areas[1] fits cities[1] etc)
static char *areas[] = { "(206)","(406)","(206)","(520)","(916)","(818)","(316)",
	"(304)","(303)","(808)","(503)","(602)","(801)","(808)","(206)","(805)",
	"(414)","(319)","(612)","(818)","(503)","(518)","(208)","(415)","(619)",
	"(212)","(773)","(504)","(313)","(404)","(602)","(405)","(501)","(812)",
	"(216)","(704)","(515)","(207)","(615)","(617)","(408)","(305)","(207)",
	"(702)","(972)","(502)","(412)","(816)","(802)" };


// 50 Street Names
static char *streets[] = { "First St.","Second St.","Third St.","Fourth St.",
	"Fifth St.","Sixth St.","Seventh St.","Eighth St.","Ninth St.","Oak St.",
	"Maple St.","Larch St.","Spruce St.","Pine St.","Main St.","Peach Ln.",
	"Ocean Dr.","Sunnyside Dr.","Tenth St.","Elm St.","105th St.","Ridgeway Ln.",
	"Park Way","Mountainview Dr.","Meyers St.","Central Ave.","First Ave.",
	"Second Ave.","Third Ave.","Fourth Ave.","Fifth Ave.","Sixth Ave.","Seventh Ave.",
	"Eighth Ave.","Ninth Ave.","Tenth Ave.","Earl Ave.","Sunrise Rd.","Sunset Blvd.",
	"Willow Rd.","Lincoln Rd.","Lincoln St.","Park Terr.","Pleasant View Dr.","Lake Dr.",
	"West 5th St.","West 1st St.","East 1st St.","North 6th St.","South 52nd St." };

#endif